Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	gstreamer 0.10.x - good plugins
Name:		gst-plugins-good
Version:	0.10.26
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		http://gstreamer.sourceforge.net
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gst-plugins-good-0.10.13-docs.patch
Patch1: 	0001-Move-farsight-plugins-from-bad-to-good.patch
Patch2: 	pulsesink-lowering-volumes.patch
# http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=3f541452c4916b31a222043b172b3398647b8091
Patch3: 	pulsesink-relative-volume.patch

%define         majorminor      0.10

Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf

# documentation
BuildRequires: gtk-doc
BuildRequires: python26-pyxml
BuildRequires: hal-devel libcdio-devel

#Manual build dependencies
BuildRequires: gettext
BuildRequires: libjpeg-devel
BuildRequires: check-devel
BuildRequires: gnome-keyring-devel
BuildRequires: orc-devel

#Automatically resolved build dependencies
BuildRequires: GConf-devel
BuildRequires: ORBit2-devel
BuildRequires: aalib-devel
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: flac-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: gpm-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: hal-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: libavc1394-devel
BuildRequires: libdv-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libiec61883-devel
BuildRequires: libjpeg-devel
BuildRequires: libogg-devel
BuildRequires: liboil-devel
BuildRequires: libpng-devel
BuildRequires: libproxy-devel
BuildRequires: libraw1394-devel
BuildRequires: libshout-devel
BuildRequires: libsmbios-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libtheora-devel
BuildRequires: libv4l-devel
BuildRequires: libvorbis-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: ncurses-devel
BuildRequires: pixman-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: speex-devel
BuildRequires: sqlite-devel
BuildRequires: taglib-devel
BuildRequires: wavpack-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel
BuildRequires:	farsight2-devel

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.

#%package	devel
#Summary:	Documentation for GStreamer Good Plug-ins
#Group:		Development/Libraries
#Requires:	%{name} = %{version}-%{release}

#%description	devel
#GStreamer is a streaming media framework, based on graphs of filters which
#operate on media data. Applications using this library can do anything
#from real-time sound processing to playing videos, and just about anything
#else media-related.  Its plugin-based architecture means that new data
#types or processing capabilities can be added simply by installing new
#plug-ins.
#GStreamer Good Plug-ins is a collection of well-supported plug-ins of
#good quality and under the LGPL license.
#This package contains documentation for the GStreamer Good Plug-ins.

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :

%prep
%setup -q -n gst-plugins-good-%{version}
%patch0 -p1 -b .docs
%patch1 -p1 -b .farsight
#%patch2 -p1 -b .volume-lowering
#%patch3 -p1 -b .relative-volume
libtoolize -f
autoreconf


%build
%configure --sysconfdir=%_sysconfdir/gnome \
  --with-package-name='CCux Linux gst-plugins-good package' \
  --with-package-origin='http://packages.ccux-linux.de' \
  --disable-gtk-doc --with-default-visualizer=autoaudiosink

make %{?_smp_mflags}
                                                                                
%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so

%find_lang gst-plugins-good-%{majorminor}

%files -f gst-plugins-good-%{majorminor}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS
%_datadir/gstreamer-0.10/presets/GstIirEqualizer10Bands.prs
%_datadir/gstreamer-0.10/presets/GstIirEqualizer3Bands.prs
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
#%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstannodex.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
#%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
# gstreamer-plugins with external dependencies but in the main package
#%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstesd.so
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
%{_libdir}/gstreamer-%{majorminor}/libgsthalelements.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
#%{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
%{_libdir}/gstreamer-%{majorminor}/libgstgconfelements.so
#%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
#%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
%{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
#%{_libdir}/gstreamer-%{majorminor}/libgstgamma.so
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifile.so
%{_libdir}/gstreamer-%{majorminor}/libgstpulse.so
%{_libdir}/gstreamer-%{majorminor}/libgstreplaygain.so
%{_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so
%{_libdir}/gstreamer-%{majorminor}/libgstautoconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so
%{_libdir}/gstreamer-%{majorminor}/libgstliveadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstvalve.so
%{_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4audio.so
%{_libdir}/gstreamer-%{majorminor}/libgstshapewipe.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so


#%files devel
#%defattr(-, root, root)
#%doc %_datadir/gtk-doc/html/gst-plugins-good-plugins-%{majorminor}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.26-1
- Version update
* Thu Nov 12 2009 Christian Metzen <metzench@ccux-linux.de> 0.10.16-1
- Version update
- add farsight plugins
- add BuildArch for ccuxbuild
* Sat Sep 26 2009 Christian Wasem <wasem@ccux-linux.de> 0.10.15-2
- rebuild against libtheora-1.1.0
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.15-1
- Version update
* Wed Apr 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.14-2
- rebuilt against libraw1394 2.0.2
* Sat Apr 04 2009 Christian Wasem <wasem@ccux-linux.de> 0.10.14-1
- Version update
* Mon Jan 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.13-1
- Version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.11-1
- Version update
* Sun Oct 21 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.10.6-2
- Rebuild against flac-1.2.1
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.6-1
- Version update
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.4-4
- rebuild against latest libcdio
* Thu Nov 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.4-3
- rebuild against latest gnome, fioxed schema file install
* Mon Nov 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.4-2
- rebuilt against dbus 1.0.0
* Wed Sep 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.4-1
- Version update
* Sun May 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.3-1
- Version update
* Sun Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.2-1
- Initial Release
